#include <linux/version.h>

#include <linux/string.h>
#include <linux/errno.h>
#include <linux/module.h>

#include "nikal.h"

#ifdef nNIKAL100_kCopyrightString
   MODULE_LICENSE(nNIKAL100_kCopyrightString);
#endif

#ifdef nNIKAL100_kAuthorString
   MODULE_AUTHOR(nNIKAL100_kAuthorString);
#endif

#ifdef nNIKAL100_kDescriptionString
   MODULE_DESCRIPTION(nNIKAL100_kDescriptionString);
#endif


int nNIPAL100_ckalcbInitModule(void* modulePtr, const char* name);
void nNIPAL100_ckalcbCleanupModule(void* modulePtr);

int init_module(void)
{
   return nNIPAL100_ckalcbInitModule(THIS_MODULE,(THIS_MODULE)->name);
}

void cleanup_module(void)
{
   nNIPAL100_ckalcbCleanupModule(THIS_MODULE);
}


#define nNIKAL100_mExportSymbol EXPORT_SYMBOL
extern int _ZN11nNIPXIRM10017tCrossPointSwitch16___ORBGetTObjectEv;
nNIKAL100_mExportSymbol(_ZN11nNIPXIRM10017tCrossPointSwitch16___ORBGetTObjectEv);
extern int _ZN11nNIPXIRM10017tCrossPointSwitch14staticGetClassERi;
nNIKAL100_mExportSymbol(_ZN11nNIPXIRM10017tCrossPointSwitch14staticGetClassERi);
extern int _ZNK11nNIPXIRM10017tCrossPointSwitch8getClassERi;
nNIKAL100_mExportSymbol(_ZNK11nNIPXIRM10017tCrossPointSwitch8getClassERi);
/* _ZN11nNIPXIRM10017tCrossPointSwitch13___CPPKRLCastEPS0_PKPv=_c58b74dab627bd4e355dbb2d317ef593 */
extern int _c58b74dab627bd4e355dbb2d317ef593;
nNIKAL100_mExportSymbol(_c58b74dab627bd4e355dbb2d317ef593);
/* _ZN11nNIPXIRM10017tCrossPointSwitch20___CPPKRLDynamicCastEPKPv=_ebd202fabc7b59fb4f725d64dffadc98 */
extern int _ebd202fabc7b59fb4f725d64dffadc98;
nNIKAL100_mExportSymbol(_ebd202fabc7b59fb4f725d64dffadc98);
/* _ZN11nNIPXIRM10017tCrossPointSwitch13___CPPKRLCastEPKS0_PKPv=_26184e923ad9515bfdc084f0f81ddd99 */
extern int _26184e923ad9515bfdc084f0f81ddd99;
nNIKAL100_mExportSymbol(_26184e923ad9515bfdc084f0f81ddd99);
/* _ZNK11nNIPXIRM10017tCrossPointSwitch20___CPPKRLDynamicCastEPKPv=_dca4990b66a9adb8625d6d74cde23929 */
extern int _dca4990b66a9adb8625d6d74cde23929;
nNIKAL100_mExportSymbol(_dca4990b66a9adb8625d6d74cde23929);
extern int getReservationStrategy;
nNIKAL100_mExportSymbol(getReservationStrategy);
extern int _ZN12nNIPXIRM_3_018iPxiChassisManager11getInstanceEv;
nNIKAL100_mExportSymbol(_ZN12nNIPXIRM_3_018iPxiChassisManager11getInstanceEv);
extern int _ZN12nNIPXIRM_2_318iPxiChassisManager11getInstanceEv;
nNIKAL100_mExportSymbol(_ZN12nNIPXIRM_2_318iPxiChassisManager11getInstanceEv);
extern int _ZN11nNIPXIRM10017getCurrentVersionERi;
nNIKAL100_mExportSymbol(_ZN11nNIPXIRM10017getCurrentVersionERi);
extern int _ZN11nNIPXIRM10026getOldestCompatibleVersionERi;
nNIKAL100_mExportSymbol(_ZN11nNIPXIRM10026getOldestCompatibleVersionERi);
extern int _ZN11nNIPXIRM10014compareVersionERK10tSSVersionS2_RiPKc;
nNIKAL100_mExportSymbol(_ZN11nNIPXIRM10014compareVersionERK10tSSVersionS2_RiPKc);
extern int _ZN11nNIPXIRM10017tCrossPointSwitch10___classIDE;
nNIKAL100_mExportSymbol(_ZN11nNIPXIRM10017tCrossPointSwitch10___classIDE);
/* _ZTv0_n24_N11nNIPXIRM10017tCrossPointSwitch20___CPPKRLDynamicCastEPKPv=_614c8d9455bc373d51fb2340c779c4bd */
extern int _614c8d9455bc373d51fb2340c779c4bd;
nNIKAL100_mExportSymbol(_614c8d9455bc373d51fb2340c779c4bd);
/* _ZTv0_n32_N11nNIPXIRM10017tCrossPointSwitch20___CPPKRLDynamicCastEPKPv=_9d5fd561a1f176f296d965e67b957bd9 */
extern int _9d5fd561a1f176f296d965e67b957bd9;
nNIKAL100_mExportSymbol(_9d5fd561a1f176f296d965e67b957bd9);
/* _ZTv0_n32_NK11nNIPXIRM10017tCrossPointSwitch20___CPPKRLDynamicCastEPKPv=_99e28849d78c96786d0f8cee84653135 */
extern int _99e28849d78c96786d0f8cee84653135;
nNIKAL100_mExportSymbol(_99e28849d78c96786d0f8cee84653135);
/* _ZTv0_n40_NK11nNIPXIRM10017tCrossPointSwitch20___CPPKRLDynamicCastEPKPv=_73a2c52b31404543886e616851d6af27 */
extern int _73a2c52b31404543886e616851d6af27;
nNIKAL100_mExportSymbol(_73a2c52b31404543886e616851d6af27);
